---
title: "Get Workspace Details"
url: "https://developer.pexa.co.uk/apis/workspace-v1-v1/versions/f42817f3-815f-4a74-8ba5-2f83efd8ab42/operations/getWorkspace"
---

> Full API specification: https://developer.pexa.co.uk/apis/workspace-v1-v1/versions/f42817f3-815f-4a74-8ba5-2f83efd8ab42.md

# Get Workspace Details

`GET` `/partner/api/platformconnect/v1/workspaces/{workspace_id}`

Operation ID: `getWorkspace`

This API allows you to get existing workspace data by providing the PEXA workspace ID generated on workspace creation

## Path parameters

- `workspace_id` (string, uuid, required) - Workspace id

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Responses

- `200` - OK
- `204` - NO CONTENT
- `400` - BAD REQUEST
- `500` - INTERNAL SERVER ERROR
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Workspace
  version: v1
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v1/workspaces/{workspace_id}:
    get:
      tags:
        - Workspace
      summary: Get Workspace Details
      description: This API allows you to get existing workspace data by providing the
        PEXA workspace ID generated on workspace creation
      operationId: getWorkspace
      security:
        - oauth2:
            - view:workspaces
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: workspace_id
          in: path
          description: Workspace id
          required: true
          schema:
            type: string
            format: uuid
      responses:
        "200":
          description: OK
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  workspaceId:
                    type: string
                    format: uuid
                  workspaceReferenceId:
                    type: string
                    example: PEXA210000012
                  status:
                    type: string
                    pattern: ^(CREATED|PREPARED|FUNDS_AUTHORISED|FUNDS_EXCHANGED|LODGED|REQUISITIONED|CLOSED|CANCELLED)$
                    description: >
                      Allowed values: [`CREATED`, `PREPARED`,
                      `FUNDS_AUTHORISED`, `FUNDS_EXCHANGED`, `LODGED`,
                      `REQUISITIONED`, `CLOSED`, `CANCELLED`]
                  transactionType:
                    type: string
                    pattern: ^(REMORTGAGE|PURCHASE)$
                    description: |
                      Transaction Type:
                       * REMORTGAGE
                       * PURCHASE
                  reference:
                    type: string
                    example: "109344235"
                  jurisdiction:
                    type: string
                    pattern: ^(ENGLAND_WALES)$
                    example: ENGLAND_WALES
                    description: |
                      Jurisdiction:
                       * `ENGLAND_WALES` - England/Wales
                  createdAt:
                    type: string
                    format: date-time
                  completionDate:
                    type: string
                    format: 2022-08-01
                  securityAddress:
                    required:
                      - postcode
                    type: object
                    properties:
                      securityAddressId:
                        type: string
                        format: uuid
                        readOnly: true
                        example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                      name:
                        maxLength: 50
                        minLength: 0
                        type: string
                        example: 1 The House
                      number:
                        maxLength: 4
                        minLength: 0
                        type: string
                        example: 123a
                      flat:
                        maxLength: 30
                        minLength: 0
                        type: string
                        example: Flat 32
                      street:
                        maxLength: 60
                        minLength: 0
                        type: string
                        example: Huddersfield
                      town:
                        maxLength: 30
                        minLength: 0
                        type: string
                        example: West Yorkshire
                      postcode:
                        maxLength: 8
                        minLength: 6
                        type: string
                        example: M16 0RA
                        pattern: ^(([Gg][Ii][Rr]
                          0[Aa]{2})|((([A-Za-z][0-9]{1,2})|(([A-Za-z][A-Ha-hJ-Yj-y][0-9]{1,2})|(([A-Za-z][0-9][A-Za-z])|([A-Za-z][A-Ha-hJ-Yj-y][0-9][A-Za-z]?))))\s[0-9][A-Za-z]{2}))$
                  auditDetails:
                    required:
                      - status
                    type: object
                    properties:
                      enhancedDueDiligence:
                        required:
                          - id
                          - status
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          status:
                            type: string
                            enum:
                              - ACCEPTED
                              - REFERRED
                              - DECLINED
                      status:
                        type: string
                        enum:
                          - AWAITING_REVIEW
                          - UNDER_REVIEW
                          - ACCEPTED
                          - DECLINED
                  parties:
                    type: array
                    items:
                      type: object
                      required:
                        - type
                      properties:
                        partyId:
                          type: string
                          format: uuid
                          readOnly: true
                        role:
                          type: string
                          pattern: ^(BORROWER|BUYER|SELLER|OUTGOING_PROPRIETOR|OUTGOING_LENDER)$
                          example: BORROWER
                          description: >
                            Allowed values: [`BORROWER`, `BUYER`, `SELLER`,
                            `OUTGOING_PROPRIETOR`, `OUTGOING_LENDER`]
                        proprietorMatchStatus:
                          type: array
                          items:
                            type: string
                            pattern: ^(MATCH|NAME_MISMATCH|PENDING|PROPRIETOR_NAME_CHANGE_REQUIRED|TYPE_MISMATCH|REGISTRATION_NUMBER_MISMATCH|NOT_REQUIRED|PARTY_NAME_UPDATED)$
                            example: NAME_MISMATCH
                            description: >
                              Allowed values: [`MATCH`, `NAME_MISMATCH`,
                              `PENDING`, `PROPRIETOR_NAME_CHANGE_REQUIRED`,
                              `TYPE_MISMATCH`, `REGISTRATION_NUMBER_MISMATCH`,
                              `NOT_REQUIRED`, `PARTY_NAME_UPDATED`]
                        type:
                          type: string
                          pattern: ^(INDIVIDUAL|ORGANISATION)$
                          example: INDIVIDUAL
                          description: |
                            Allowed values: [`INDIVIDUAL`, `ORGANISATION`]
                        partyDetails:
                          oneOf:
                            - type: object
                              required:
                                - forenames
                                - surname
                              properties:
                                forenames:
                                  maxLength: 90
                                  minLength: 1
                                  type: string
                                  example: James Thomas
                                  pattern: ^[A-Za-z][A-Za-z\- ']*$
                                surname:
                                  maxLength: 50
                                  minLength: 1
                                  type: string
                                  example: Smith
                                  pattern: ^[A-Za-z][A-Za-z\- ']*$
                            - type: object
                              required:
                                - organisationName
                                - registrationNumber
                                - organisationType
                              properties:
                                organisationName:
                                  maxLength: 160
                                  minLength: 1
                                  type: string
                                  example: My Organisation
                                  pattern: ^[a-zA-ZÀ-ÖØ-öø-ſĀ-ıĴ-ľŁ-ŉŊ-ŏŐ-őŒ-žǼǺǾẀẂẄỲǽǻǿẁẃẅỳ\d&@£$€¥#‘’'(){}<>!«»“”"\[\]?*=%+\s.,:\/;\\-]+$
                                registrationNumber:
                                  type: string
                                  minLength: 6
                                  maxLength: 8
                                  pattern: ^[A-Z0-9]+$
                                  example: ABCD1234
                                organisationType:
                                  maxLength: 200
                                  minLength: 1
                                  type: string
                                  pattern: ^(LIMITED_COMPANY)$
                                  example: LIMITED_COMPANY
                                  description: |
                                    Organisation Type:
                                     * `LIMITED_COMPANY`
                        representationType:
                          type: string
                          pattern: ^(NO_REPRESENTATION|DUAL_REPRESENTATION|SEPARATE_REPRESENTATION)$
                          example: NO_REPRESENTATION
                          description: >
                            Allowed values: [`NO_REPRESENTATION`,
                            `DUAL_REPRESENTATION`, `SEPARATE_REPRESENTATION`]
                        representationId:
                          type: string
                          format: uuid
                        representativeType:
                          type: string
                          pattern: ^(EXTERNAL_LAW_FIRM|PARTICIPANT)$
                          example: EXTERNAL_LAW_FIRM
                          description: |
                            Allowed values: [`EXTERNAL_LAW_FIRM`, `PARTICIPANT`]
                        sourceProprietorId:
                          type: string
                          format: uuid
                        addresses:
                          type: array
                          items:
                            type: object
                            required:
                              - type
                              - details
                            properties:
                              type:
                                type: string
                                pattern: ^(REGISTERED_ADDRESS)$
                                description: |
                                  Address Type:
                                   * `REGISTERED_ADDRESS`
                              details:
                                required:
                                  - postcode
                                type: object
                                properties:
                                  addressId:
                                    type: string
                                    format: uuid
                                    readOnly: true
                                    example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                                  name:
                                    maxLength: 50
                                    minLength: 0
                                    type: string
                                    example: 1 The House
                                  number:
                                    maxLength: 4
                                    minLength: 0
                                    type: string
                                    example: 123a
                                  flat:
                                    maxLength: 30
                                    minLength: 0
                                    type: string
                                    example: Flat 32
                                  street:
                                    maxLength: 60
                                    minLength: 0
                                    type: string
                                    example: Huddersfield
                                  town:
                                    maxLength: 30
                                    minLength: 0
                                    type: string
                                    example: West Yorkshire
                                  postcode:
                                    maxLength: 8
                                    minLength: 6
                                    type: string
                                    example: M16 0RA
                                    pattern: ^(([Gg][Ii][Rr]
                                      0[Aa]{2})|((([A-Za-z][0-9]{1,2})|(([A-Za-z][A-Ha-hJ-Yj-y][0-9]{1,2})|(([A-Za-z][0-9][A-Za-z])|([A-Za-z][A-Ha-hJ-Yj-y][0-9][A-Za-z]?))))\s[0-9][A-Za-z]{2}))$
                        verificationOfIdentity:
                          type: string
                          pattern: ^(LAW_FIRM_CERTIFIED|IDENTITY_EVIDENCE)$
                          example: LAW_FIRM_CERTIFIED
                          description: >
                            Allowed values: [`LAW_FIRM_CERTIFIED`,
                            `IDENTITY_EVIDENCE`]
                  references:
                    type: array
                    items:
                      type: object
                      required:
                        - referenceNumber
                        - representativeRole
                      properties:
                        referenceId:
                          type: string
                          format: uuid
                          readOnly: true
                        representativeId:
                          type: string
                          format: uuid
                        referenceNumber:
                          maxLength: 25
                          minLength: 1
                          type: string
                          example: "123456"
                        representativeRole:
                          type: string
                          pattern: ^(BORROWER_REPRESENTATIVE|INCOMING_LENDER|INCOMING_LENDER_REPRESENTATIVE|WORKSPACE_LAW_FIRM|BUYER_REPRESENTATIVE|SELLER_REPRESENTATIVE|OUTGOING_PROPRIETOR_REPRESENTATIVE)$
                          example: BORROWER_REPRESENTATIVE
                          description: >
                            Representative role: [`BORROWER_REPRESENTATIVE`,
                            `INCOMING_LENDER`, `INCOMING_LENDER_REPRESENTATIVE`,
                            `WORKSPACE_LAW_FIRM`, `BUYER_REPRESENTATIVE`,
                            `SELLER_REPRESENTATIVE`,
                            `OUTGOING_PROPRIETOR_REPRESENTATIVE`] <br> Note -
                            Representative role `WORKSPACE_LAW_FIRM` will be
                            replaced with `INCOMING_LENDER_REPRESENTATIVE` soon
                  readyForApproval:
                    type: boolean
                    default: false
                    description: flag to indicate if the workspace is ready to be approved status.
                  participants:
                    type: array
                    items:
                      type: object
                      required:
                        - subscriberId
                        - role
                      properties:
                        participantId:
                          type: string
                          format: uuid
                          readOnly: true
                        subscriberId:
                          type: string
                          format: uuid
                        role:
                          type: string
                          pattern: ^(INCOMING_LENDER|BUYER_REPRESENTATIVE|SELLER_REPRESENTATIVE|INCOMING_LENDER_REPRESENTATIVE)$
                          description: >
                            Allowed values: [`INCOMING_LENDER`,
                            `BUYER_REPRESENTATIVE`, `SELLER_REPRESENTATIVE`,
                            `INCOMING_LENDER_REPRESENTATIVE`]
                  canBeUnapproved:
                    type: boolean
                    default: false
                    description: flag to indicate if the workspace can be unapproved.
                  hardLocked:
                    type: boolean
                    default: false
                    description: workspace hardlocked status.
                  isLocked:
                    type: boolean
                    default: false
                    description: flag to indicate if the workspace can be soft locked.
                  canBeCancelled:
                    type: boolean
                    default: false
                    description: flag to indicate if the workspace can be cancelled.
                  borrowersValidationStatus:
                    type: string
                    pattern: ^(VALID|INVALID|PENDING|COUNT_INVALID|TYPE_INVALID|NOT_REQUIRED|UNSUPPORTED_TYPE)$
                    description: >
                      Allowed values: [`VALID`, `INVALID`, `PENDING`,
                      `COUNT_INVALID`, `TYPE_INVALID`, `NOT_REQUIRED`,
                      `UNSUPPORTED_TYPE`]
                  remarks:
                    type: object
                    required:
                      - cancellationReason
                    properties:
                      cancellationReason:
                        type: string
                        pattern: ^(APPLICANT_DECIDED_NOT_TO_PROCEED|TITLE_COMPLICATIONS_OUTSIDE_PEXA_SCOPE|LAW_FIRM_NO_LONGER_ACTING|LENDER_DECIDED_NOT_TO_PROCEED|LOAN_INVOLVES_MULTIPLE_TITLES|OTHER)$
                        description: >
                          Allowed values: [`APPLICANT_DECIDED_NOT_TO_PROCEED`,
                          `TITLE_COMPLICATIONS_OUTSIDE_PEXA_SCOPE`,
                          `LAW_FIRM_NO_LONGER_ACTING`,
                          `LENDER_DECIDED_NOT_TO_PROCEED`,
                          `LOAN_INVOLVES_MULTIPLE_TITLES`, `OTHER`]
                      cancellationNotesForOther:
                        maxLength: 100
                        minLength: 1
                        type: string
                        example: Title complications outside PEXA scope
                      actionedAt:
                        type: string
                        example: 2024-03-14T09:48:59.698092Z
                  transferOfEquity:
                    type: boolean
                    default: false
                    description: flag to indicate if the workspace features transfer of equity
                  subscriberId:
                    type: string
                    format: uuid
                    description: Subscriber Id of workspace creator
              examples:
                WorkspaceResponseWithIndividualBorrower:
                  value:
                    workspaceId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                    workspaceReferenceId: PEXA210000012
                    status: CREATED
                    transactionType: REMORTGAGE
                    reference: "109344235"
                    jurisdiction: ENGLAND_WALES
                    createdAt: 2023-06-02T04:42:12.062Z
                    completionDate: string
                    securityAddress:
                      securityAddressId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                      name: 1 The House
                      number: 123a
                      flat: Flat 32
                      street: Huddersfield
                      town: West Yorkshire
                      postcode: M16 0RA
                    auditDetails:
                      status: UNDER_REVIEW
                      enhancedDueDiligence:
                        id: 20296c1e-73cb-4927-8b59-b888469d2eba
                        status: REFERRED
                    parties:
                      - partyId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        role: BORROWER
                        proprietorMatchStatus:
                          - MATCH
                        type: INDIVIDUAL
                        partyDetails:
                          forenames: James Thomas
                          surname: Smith
                        sourceProprietorId: 31036f14-12d0-4569-adef-3a57be06cbe1
                    readyForApproval: false
                    participants:
                      - participantId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        subscriberId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        role: INCOMING_LENDER_REPRESENTATIVE
                    canBeUnapproved: false
                    hardLocked: false
                    isLocked: false
                    canBeCancelled: false
                    borrowersValidationStatus: VALID
                    transferOfEquity: false
                  summary: Workspace with Individual borrower
                WorkspaceResponseWithOrganisationBorrower:
                  value:
                    workspaceId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                    workspaceReferenceId: PEXA210000012
                    status: CREATED
                    transactionType: REMORTGAGE
                    reference: "109344235"
                    jurisdiction: ENGLAND_WALES
                    createdAt: 2023-06-02T04:42:12.062Z
                    completionDate: string
                    securityAddress:
                      securityAddressId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                      name: 1 The House
                      number: 123a
                      flat: Flat 32
                      street: Huddersfield
                      town: West Yorkshire
                      postcode: M16 0RA
                    auditDetails:
                      status: UNDER_REVIEW
                      enhancedDueDiligence:
                        id: 20296c1e-73cb-4927-8b59-b888469d2eba
                        status: REFERRED
                    parties:
                      - partyId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        role: BORROWER
                        proprietorMatchStatus:
                          - MATCH
                        type: ORGANISATION
                        partyDetails:
                          organisationName: Pexa ltd.
                          registrationNumber: "12345678"
                          organisationType: LIMITED_COMPANY
                        sourceProprietorId: 0c8530b5-06d8-4c14-998f-35b42ba9d250
                    readyForApproval: false
                    participants:
                      - participantId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        subscriberId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        role: INCOMING_LENDER_REPRESENTATIVE
                    canBeUnapproved: false
                    hardLocked: false
                    isLocked: false
                    canBeCancelled: false
                    borrowersValidationStatus: VALID
                    transferOfEquity: false
                  summary: Workspace with Organisation Borrower
                WorkspaceResponseWithIndividualBuyer:
                  value:
                    workspaceId: 14dbf34c-b094-46b4-a1c8-915b032acb8d
                    workspaceReferenceId: PEXA230000182
                    status: CREATED
                    transactionType: PURCHASE
                    reference: "109344235"
                    jurisdiction: ENGLAND_WALES
                    createdAt: 2023-10-17T08:06:27.45916Z
                    securityAddress:
                      postcode: M16 0RA
                      securityAddressId: 20296c1e-73cb-4927-8b59-b888469d2eba
                      name: 1 The House
                      number: 123a
                      flat: Flat 32
                      street: Huddersfield
                      town: West Yorkshire
                    auditDetails:
                      status: UNDER_REVIEW
                      enhancedDueDiligence:
                        id: 20296c1e-73cb-4927-8b59-b888469d2eba
                        status: REFERRED
                    parties:
                      - type: INDIVIDUAL
                        partyId: 98ae6866-e290-473b-95d1-6f3c1fe6ad7d
                        role: BUYER
                        proprietorMatchStatus:
                          - NOT_REQUIRED
                        partyDetails:
                          forenames: James Thomas
                          surname: Smith
                        representationType: DUAL_REPRESENTATION
                    references:
                      - representativeId: 23329e28-b1c7-46b7-9d22-369f9f18e8d7
                        referenceNumber: "109344235"
                        representativeRole: BUYER_REPRESENTATIVE
                        referenceId: 6335d6f5-b530-4814-ab05-61b5f7fa3284
                    readyForApproval: false
                    participants:
                      - subscriberId: 23329e28-b1c7-46b7-9d22-369f9f18e8d7
                        role: BUYER_REPRESENTATIVE
                        participantId: 7dc5c786-c3c2-488d-b8e3-538a2e737c55
                    canBeUnapproved: false
                    hardLocked: false
                    isLocked: false
                    canBeCancelled: true
                    borrowersValidationStatus: NOT_REQUIRED
                    transferOfEquity: false
                  summary: Workspace with Individual buyer
                WorkspaceResponseWithOrganisationBuyer:
                  value:
                    workspaceId: 14dbf34c-b094-46b4-a1c8-915b032acb8d
                    workspaceReferenceId: PEXA230000182
                    status: CREATED
                    transactionType: PURCHASE
                    reference: "109344235"
                    jurisdiction: ENGLAND_WALES
                    createdAt: 2023-10-17T08:06:27.45916Z
                    securityAddress:
                      postcode: M16 0RA
                      securityAddressId: 20296c1e-73cb-4927-8b59-b888469d2eba
                      name: 1 The House
                      number: 123a
                      flat: Flat 32
                      street: Huddersfield
                      town: West Yorkshire
                    auditDetails:
                      status: UNDER_REVIEW
                      enhancedDueDiligence:
                        id: 20296c1e-73cb-4927-8b59-b888469d2eba
                        status: REFERRED
                    parties:
                      - partyId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        role: BUYER
                        proprietorMatchStatus:
                          - NOT_REQUIRED
                        type: ORGANISATION
                        partyDetails:
                          organisationName: Pexa ltd.
                          registrationNumber: "123456"
                          organisationType: LIMITED_COMPANY
                        addresses:
                          - type: REGISTERED_ADDRESS
                            details:
                              addressId: 5cfa07b0-5127-4637-bffd-b4b1d80020bf
                              name: Pexa Ltd.
                              number: "1234"
                              flat: "1234"
                              street: main
                              town: new
                              postcode: M16 7YY
                        representationType: DUAL_REPRESENTATION
                    references:
                      - representativeId: 23329e28-b1c7-46b7-9d22-369f9f18e8d7
                        referenceNumber: "109344235"
                        representativeRole: BUYER_REPRESENTATIVE
                        referenceId: 6335d6f5-b530-4814-ab05-61b5f7fa3284
                    readyForApproval: false
                    participants:
                      - subscriberId: 23329e28-b1c7-46b7-9d22-369f9f18e8d7
                        role: BUYER_REPRESENTATIVE
                        participantId: 7dc5c786-c3c2-488d-b8e3-538a2e737c55
                    canBeUnapproved: false
                    hardLocked: false
                    isLocked: false
                    canBeCancelled: true
                    borrowersValidationStatus: NOT_REQUIRED
                    transferOfEquity: false
                  summary: Workspace with Organisation buyer
        "204":
          description: NO CONTENT
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              examples:
                WorkspaceResponseWithIndividualBorrower:
                  value:
                    errors:
                      - field: workspaceId
                        message: workspace-id has to be a UUID
                WorkspaceResponseWithOrganisationBorrower:
                  value:
                    errors:
                      - field: workspaceId
                        message: workspace-id has to be a UUID
                WorkspaceResponseWithIndividualBuyer:
                  value:
                    errors:
                      - field: workspaceId
                        message: workspace-id has to be a UUID
                WorkspaceResponseWithOrganisationBuyer:
                  value:
                    errors:
                      - field: workspaceId
                        message: workspace-id has to be a UUID
        "500":
          description: INTERNAL SERVER ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              examples:
                WorkspaceResponseWithIndividualBorrower:
                  value:
                    errors:
                      - message: Internal Server Error
                WorkspaceResponseWithOrganisationBorrower:
                  value:
                    errors:
                      - message: Internal Server Error
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - view:workspaces
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:create:purchase_workspaces: Permission to create purchase workspace
            x-api:create:remortgage_workspaces: Permission to create remortgage workspace
            x-api:cancel:workspaces: Permission to cancel the workspace
            add:law_firm_reference: add law firm reference
            add:legal_representation_details: add legal representation details
            view:workspaces: view workspace
            create:title_change_request: create title change request
            edit:workspace_parties: edit workspace parties
            x-api:add:legal_representation_details: Permission to add party representation
            x-api:edit:external_law_firm_details: Permission to update external law firm representation
            create:workspaces: Permission to create workspaces
            edit:workspaces: Permission to edit workspaces
            edit:lodgement_proprietors: Permission to edit proprietors linked to lodgement case
            view:lodgement_proprietors: Permission to view proprietors linked to lodgement case
            add:workspace_participants: Permission to add workspace participants
            edit:external_law_firm_details: Permission to edit external law firm details
            edit:law_firm_reference: Permission to edit law firm reference
```
